# Note that this is NOT a relocatable package
%define ver      1.3.2
%define rel      4mdk
%define prefix   %{_prefix}

Summary: A library of handy utility functions.
Name: glib2
Version: %ver
Release: %rel
License: LGPL
Group: System/Libraries
Source: ftp://ftp.gtk.org/pub/gtk/v1.3/glib-%{ver}.tar.bz2
Patch: glib-1.3.2-strjoin.patch.bz2
BuildRoot: %{_tmppath}/glib-%{PACKAGE_VERSION}-root
URL: http://www.gtk.org

%description
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.
You should install Glib because many of your applications
will depend on this library.

%package -n libglib2
Summary: Main library for glib
Group: System/Libraries
Provides: glib2
Obsoletes: glib2

%description -n libglib2
This package contains the library needed to run programs dynamically
linked with the glib.

%package -n libglib2-devel
Summary: GIMP Toolkit and GIMP Drawing Kit support library
Group: Development/C
Requires: libglib2 = %{version}

%description -n libglib2-devel
Static libraries and header files for the support library for the GIMP's X
libraries, which are available as public libraries.  GLIB includes generally
useful data structures.

%prep
%setup -n glib-%{ver} -q
%patch -p1 -b gstrfuncs

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# fix the name of the man page
mv $RPM_BUILD_ROOT%{_mandir}/man1/glib-config.1 $RPM_BUILD_ROOT%{_mandir}/man1/glib-config-2.0.1
# fix the path for glibconfig.h
(
  cd $RPM_BUILD_ROOT/usr/include/glib-2.0/
  perl -p -i -e 's|<glibconfig.h>|"/usr/lib/glib-2.0/include/glibconfig.h"|' *h */*h
)

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libglib2 -p /sbin/ldconfig

%postun -n libglib2 -p /sbin/ldconfig

%files -n libglib2
%defattr(-, root, root)
%doc COPYING
%{_libdir}/lib*.so.*

%files -n libglib2-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/glib-2.0/*
%{_includedir}/*
%{_mandir}/man1/*
%{_datadir}/aclocal/glib-2.0.m4
%{_bindir}/glib-config-2.0
%{_bindir}/gobject-query

%changelog
* Tue Dec  5 2000 DindinX <odin@mandrakesoft.com> 1.3.2-4mdk
- new lib policy

* Mon Nov 20 2000 DindinX <odin@mandrakesoft.com> 1.3.2-3mdk
- redo my patch to best fit glib-1.3.2
- move %%doc to -devel

* Mon Nov 20 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3.2-2mdk
- regenerate Dindinx's patch.

* Sat Nov 18 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3.2-1mdk
- release

* Wed Nov 15 2000 DindinX <odin@mandrakesoft.com> 1.3.1-1mdk
- version 1.3.1 (first pre2)

